Description

A whatever layer of the following WMS service can't be added:

http://land.discomap.eea.europa.eu/arcgis/services/Land/CLC2006_Dyna_WM/MapServer/WmsServer?

Relevant part of gvSIG.log:

INFO Thread-18 org.gvsig.compat.se.net.downloader.se.SEDownloaderTask - downloading
'http://land.discomap.eea.europa.eu/arcgis/services/Land/CLC2006_Dyna_WM/MapServer/WmsServer?REQUEST=GetCapabilities&SERVICE=WMS' to: C:\Users\Antonio\AppData\Local\Temp\tmp-andami\wms_capabili
ilities&SERVICE=WMS' to: C:\Users\Antonio\AppData\Local\Temp\tmp-andami\wms_capabilities14533744621983.xml
INFO Thread-20 org.gvsig.compat.se.net.downloader.se.SEDownloaderTask - downloading
'http://land.discomap.eea.europa.eu/arcgis/services/Land/CLC2006_Dyna_WM/MapServer/WmsServer?REQUEST=GetCapabilities&SERVICE=WMS&VERSION=1.3.0' to: C:\Users\Antonio\AppData\Local\Temp\tmp-andami\wms_capabilities14533744642314.xml
WARN Thread-17 org.gvsig.crs.repository.EpsgRepository - Can't create ESPG Crs from 102100.
java.lang.RuntimeException: OGR Error: Unsupported SRS
    at org.gdal.osr.osrJNI.SpatialReference_ImportFromEPSG(Native Method)
    at org.gdal.osr.SpatialReference.Impor
ilities&SERVICE=WMS&VERSION=1.3.0' to:
C:\Users\Antonio\AppData\Local\Temp\tmp-andami\wms_capabilities14533744642314.xml
WARN Thread-17 org.gvsig.crs.repository.EpsgRepository - Can't create ESPG Crs from 102100.
java.lang.RuntimeException: OGR Error: Unsupported SRS
    at org.gdal.osr.osrJNI.SpatialReference_ImportFromEPSG(Native Method)
    at org.gdal.osr.SpatialReference.ImportFromEPSG(SpatialReference.java:547)
    at org.gvsig.crs.repository.EpsgRepository.getCrs(EpsgRepository.java:89)
    at org.gvsig.crs.CrsFactory.getSimpleCRS(CrsFactory.java:150)
    at org.gvsig.crs.CrsFactory.getCRS(CrsFactory.java:109)
    at org.gvsig.crs.CrsFactory.get(CrsFactory.java:226)
    at org.gvsig.fmap.crs.CRSFactory.getCRS(CRSFactory.java:61)
    at org.gvsig.raster.wms.io.WMSConnector.parseTree(WMSConnector.java:364)
    [...]

Note: EPSG:102100 is not a valid EPSG code. It should be ESRI:102100 (equivalent to EPSG:3857). For further details: 
http://www.faqoverflow.com/gis/253.html
History
#1 - 01/25/2016 10:57 AM - Joaquín  del Cerro Murciano
- Assignee set to Francisco Díaz Carsí

#2 - 01/26/2016 01:52 PM - Álvaro Anguix
- Related to gvSIG bugs #4040: WCS layer can't be added (URISyntaxException) added

#3 - 01/26/2016 01:56 PM - Álvaro Anguix

With WMTS layers is the same bug/problem

#4 - 01/27/2016 01:10 PM - Daniel Martinez

We can't reproduce the error. We have tested it in versions 2415 and 2416 with different layers, projections, image and text.

Could you give us more details about it explaining a wrong layer with its projection, image and text to be tested?

#5 - 01/27/2016 01:22 PM - Antonio Falciano
- File gvSIG.log added

Steps in order to reproduce the issue:
    -  create a open a view in EPSG:4326;
    -  connect to the WMS service;
    -  choose e.g. the first layer ([1] Waterbodies (vector));
    -  choose a whatever format (e.g. image/jpeg), EPSG:4326 as SRS and the format you like for the info (it's irrelevant).

Result: the above mentioned OGR error occurs. I attach the gvSIG.log.

#6 - 01/27/2016 02:12 PM - Daniel Martinez

We have tried it following your steps. With the first layer the downloaded jpegs from the server are in blank (we have tried it too in QUGIS to be sure).
So nothing is shown, except the legend. But no error has been found.

Then we tried with its raster counterpart, and it was loaded correctly and showed ok.

#7 - 01/29/2016 02:32 PM - Francisco Díaz Carsí
- Status changed from New to Invalid

El error de OGR que menciona el log está provocado porque el servidor expone un código EPSG:102100 lo cual es erróneo (en todo caso debería ser
ESRI:102100 como bien dices en la descripción de la tarea), pero en gvSIG simplemente capturamos el error, añadimos un warn al log para tener
constancia de ello pero no le exponemos al usuario esa proyección entre las que puede elegir.

Así que no debería tener relación ese warning con el problema que te da.

Como dice Daniel, hemos comprobado los pasos que describes y la capa sí se carga, lo que ocurre que el servidor nos devuelve una imagen
completamente blanca.

Puedes comprobar esto, cambiando el color de fondo de la vista a rojo, por ejemplo, para ver que donde debería estar la imagen de la capa hay un
cuadrado blanco.

Pongo la tarea a invalid ya que parece que no es un problema de gvSIG.

#8 - 01/29/2016 03:12 PM - Antonio Falciano

You're right. It's not a gvSIG problem, but a server configuration one. Thank you both. Sorry for the waste of time.

#9 - 02/01/2016 04:51 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2418 (rev. org.gvsig.desktop-2.0.124)

Files
gvSIG.log 104 KB 01/27/2016 Antonio Falciano
